site_name: sgn-gwframe
site_description: Gravitational wave frame file I/O elements for sgn-ts
site_url: https://docs.ligo.org/greg/sgn-gwframe
repo_url: https://git.ligo.org/greg/sgn-gwframe
repo_name: greg/sgn-gwframe
site_dir: site
watch: [README.md, src/sgn_gwframe]

nav:
- Home:
  - Overview: index.md
  - Usage: usage.md
# defer to gen-files + literate-nav
- API Reference: reference/

theme:
  name: material_igwn
  features:
    - content.code.copy
    - content.code.annotate

markdown_extensions:
- admonition
- callouts:
    strip_period: no
- pymdownx.highlight
- pymdownx.inlinehilite
- pymdownx.magiclink
- pymdownx.snippets:
    check_paths: true
- pymdownx.superfences
- toc:
    permalink: true
    toc_depth: 4

plugins:
- search
- markdown-exec
- gen-files:
    scripts:
    - docs/gen_ref_nav.py
- literate-nav:
    nav_file: SUMMARY.md
- section-index
- mkdocstrings:
    handlers:
      python:
        paths: [src]
        inventories:
          - https://docs.python.org/3/objects.inv
          - https://mkdocstrings.github.io/objects.inv
          - https://mkdocstrings.github.io/griffe/objects.inv
          - https://numpy.org/doc/stable/objects.inv
        options:
          docstring_style: google
          docstring_options:
            ignore_init_summary: yes
          merge_init_into_class: yes
          separate_signature: yes
          show_root_full_path: no
